<?php
use CRM_Contactcats_ExtensionUtil as E;

return [
  [
    'name' => 'SavedSearch_ContactCategories_Locus_1_6',
    'entity' => 'SavedSearch',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'name' => 'ContactCategories_Locus_1_6',
        'label' => E::ts('ContactCategories Locus 1.6'),
        'api_entity' => 'Contact',
        'api_params' => [
          'version' => 4,
          'select' => [
            'id',
            'sort_name',
            'contact_type:label',
            'contact_sub_type:label',
            'SUM(Contact_Contribution_contact_id_01.total_amount) AS SUM_Contact_Contribution_contact_id_01_total_amount',
            'COUNT(Contact_Contribution_contact_id_01.id) AS COUNT_Contact_Contribution_contact_id_01_id',
          ],
          'orderBy' => [],
          'where' => [],
          'groupBy' => ['id'],
          'join' => [
            [
              'Contribution AS Contact_Contribution_contact_id_01',
              'INNER',
              [
                'id',
                '=',
                'Contact_Contribution_contact_id_01.contact_id',
              ],
              [
                'Contact_Contribution_contact_id_01.contribution_status_id:name',
                '=',
                '"Completed"',
              ],
              [
                'Contact_Contribution_contact_id_01.receive_date',
                '>',
                '"now - 24 month"',
              ],
            ],
          ],
          'having' => [
            [
              'COUNT_Contact_Contribution_contact_id_01_id',
              '>=',
              3,
            ],
          ],
        ],
        'description' => E::ts('1.6 Occasional Donor: multiple-time	 

3+ donations within last 24 months'),
      ],
      'match' => ['name'],
    ],
  ],
];
