<?php
use CRM_Contactcats_ExtensionUtil as E;

return [
  [
    'name' => 'SavedSearch_ContactCategories_Locus_3_2',
    'entity' => 'SavedSearch',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'name' => 'ContactCategories_Locus_3_2',
        'label' => E::ts('ContactCategories Locus 3.2'),
        'api_entity' => 'Contact',
        'api_params' => [
          'version' => 4,
          'select' => [
            'id',
            'COUNT(Contact_Contribution_contact_id_01.id) AS COUNT_Contact_Contribution_contact_id_01_id',
            'SUM(Contact_Contribution_contact_id_01.total_amount) AS SUM_Contact_Contribution_contact_id_01_total_amount',
            'MAX(Contact_Contribution_contact_id_01.total_amount) AS MAX_Contact_Contribution_contact_id_01_total_amount',
          ],
          'orderBy' => [],
          'where' => [],
          'groupBy' => ['id'],
          'join' => [
            [
              'Contribution AS Contact_Contribution_contact_id_01',
              'INNER',
              [
                'id',
                '=',
                'Contact_Contribution_contact_id_01.contact_id',
              ],
            ],
          ],
          'having' => [
            [
              'COUNT_Contact_Contribution_contact_id_01_id',
              '>=',
              2,
            ],
            [
              'OR',
              [
                [
                  'MAX_Contact_Contribution_contact_id_01_total_amount',
                  '>=',
                  '500',
                ],
                [
                  'SUM_Contact_Contribution_contact_id_01_total_amount',
                  '=',
                  '1000',
                ],
              ],
            ],
          ],
        ],
        'description' => E::ts('Major donor: two-time

 - 2+ donations within last 24 months 
AND 1+ donation of 500+ EUR  OR sum of all donations within last 24 months 1,000+'),
      ],
      'match' => ['name'],
    ],
  ],
];
