<?php
use CRM_Contactcats_ExtensionUtil as E;

return [
  [
    'name' => 'SavedSearch_ContactCategories_Locus_3_3',
    'entity' => 'SavedSearch',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'name' => 'ContactCategories_Locus_3_3',
        'label' => E::ts('ContactCategories Locus 3.3'),
        'api_entity' => 'Contact',
        'api_params' => [
          'version' => 4,
          'select' => [
            'id',
            'MIN(Contact_Contribution_contact_id_01.receive_date) AS MIN_Contact_Contribution_contact_id_01_receive_date',
            'COUNT(Contact_Contribution_contact_id_01.id) AS COUNT_Contact_Contribution_contact_id_01_id',
            'SUM(Contact_Contribution_contact_id_01.total_amount) AS SUM_Contact_Contribution_contact_id_01_total_amount',
          ],
          'orderBy' => [],
          'where' => [],
          'groupBy' => ['id'],
          'join' => [
            [
              'Contribution AS Contact_Contribution_contact_id_01',
              'INNER',
              [
                'id',
                '=',
                'Contact_Contribution_contact_id_01.contact_id',
              ],
              [
                'Contact_Contribution_contact_id_01.contribution_status_id:name',
                '=',
                '"Completed"',
              ],
            ],
          ],
          'having' => [
            [
              'COUNT_Contact_Contribution_contact_id_01_id',
              '=',
              1,
            ],
            [
              'MIN_Contact_Contribution_contact_id_01_receive_date',
              'BETWEEN',
              ['now - 24 month', 'now - 12 month'],
            ],
            [
              'SUM_Contact_Contribution_contact_id_01_total_amount',
              '>=',
              '500',
            ],
          ],
        ],
        'description' => E::ts('Major donor: one-time

 - first and only donation
- was 12 – 24 months before today
- amount 500+'),
      ],
      'match' => ['name'],
    ],
  ],
];
